Macro Wire appiattita su piano mediano

From FreeCAD Documentation
Revision as of 20:17, 4 July 2019 by Mario52 (talk | contribs)
Jump to navigation Jump to search
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎svenska • ‎čeština

Icona macro generica. Crea la tua icona personale con lo stesso nome della macro Wire appiattita su piano mediano

Descrizione
Questa macro appiattisce i contorni che non sono su un unico piano al valore mediano della loro coordinata Z

Versione macro: 1.0
Ultima modifica: 2011-08-01
Versione FreeCAD: Tutte
Download: ToolBar Icon
Autore
Yorik
Download
ToolBar Icon
Link
Versione macro
1.0
Data ultima modifica
2011-08-01
Versioni di FreeCAD
Tutte
Scorciatoia
Nessuna
Vedere anche
Nessuno


Descrizione

Questa macro appiattisce i contorni che non sono su un unico piano al valore mediano della loro coordinata Z

Script

ToolBar Icon Macro FlattenWire.png

Macro_FlattenWire.FCMacro

import FreeCAD
obj = FreeCAD.ActiveDocument.ActiveObject
z = 0
for p in obj.Points: z += p.z
z = z/len(obj.Points)
newpoints = []
for p in obj.Points: newppoints.append(FreeCAD.Vector(p.x,p.y,z))
obj.Points = newppoints